#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_lightTexture;   
uniform vec4 v_LightColor;
uniform vec2 v_animLight; 

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main(void) 
{
    vec4 color = texture2D(CC_Texture0, v_texCoord);
    if(color.a > 0.05)
    {
	    vec4 lightcolor = texture2D(u_lightTexture, v_texCoord + v_animLight.xy) * v_LightColor;
	    gl_FragColor.rgb = v_fragmentColor.rgb*(color.rgb + lightcolor.rgb * v_LightColor.a);
	    gl_FragColor.a = v_fragmentColor.a*color.a;
    }
    else
	gl_FragColor = v_fragmentColor*color;
    //gl_FragColor = lightcolor;
}
