#ifdef GL_ES
precision lowp float; 
#endif
 
varying vec4 v_fragmentColor; 
varying vec2 v_texCoord;

uniform vec4 u_effectColor;
 
void main() 
{
    vec4 color = texture2D(CC_Texture0, v_texCoord);
    if(color.a > 0.05 && color.r + color.g + color.b == 0)
    {
	    float width = 0.04; 
	    float alpha = smoothstep(0.5-width, 0.5+width, color.a); 
	    float mu = smoothstep(0.5, 1.0, sqrt(color.a)); 
	    vec4 color2 = u_effectColor*(1.0-alpha) + color*alpha;
	    gl_FragColor = v_fragmentColor * vec4(color2.rgb, max(alpha,mu)*color2.a); 
    }
    else
    {
	    gl_FragColor = color;
    }
}